package electrosphere.game.data.creature.type;

/**
 *
 * @author amaterasu
 */
public class HealthSystem {
    int maxHealth;
    int onDamageIFrames;

    public int getMaxHealth() {
        return maxHealth;
    }

    public int getOnDamageIFrames() {
        return onDamageIFrames;
    }
    
    public HealthSystem clone(){
        HealthSystem rVal = new HealthSystem();
        rVal.maxHealth = maxHealth;
        rVal.onDamageIFrames = onDamageIFrames;
        return rVal;
    }
    
}
